phpLDAPadmin

# Class: ImportLDIF

Source Location: /templates/3rdParty/pla/lib/import_functions.php

### Class Overview

    Import
       |
       --ImportLDIF

Import entries from LDIF

### Variables

- $error

### Methods

- eof
- getModRDNAttributes
- getServer
- getTemplate
- getType
- readEntry

### Inherited Variables

#### Class: Import

Import::$input
Import::$server_id
Import::$source

### Inherited Methods

#### Class: Import

Import::__construct()
Import::accept()
Import::getSource()
Import::LDAPimport()

### Class Details

[line 142]
Import entries from LDIF

The LDIF spec is described by RFC2849 http://www.ietf.org/rfc/rfc2849.txt

[ Top ]

### Class Variables

#### $error = array()

[line 146]

#### Tags:

access: | public

Type: | mixed

[ Top ]

### Class Methods

### static method getType [line 148]

`static void getType( )`

#### Tags:

access: | public

[ Top ]

### method eof [line 360]

`boolean eof( )`

Returns true if we reached the end of the input.

#### Tags:

return: | true if it's the end of file, false otherwise.
access: | public

[ Top ]

### method getModRDNAttributes [line 554]

`void getModRDNAttributes( $lines)`

Build the attributes for the entry when the change type is modrdn

#### Parameters:

| $lines |

[ Top ]

### method getServer [line 156]

`void getServer( )`

#### Tags:

access: | protected

[ Top ]

### method getTemplate [line 152]

`void getTemplate( )`

#### Tags:

access: | protected

[ Top ]

### method readEntry [line 160]

`void readEntry( )`

#### Tags:

access: | public

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:52 +0100 by phpDocumentor 1.4.1